Frontend API
Retrieve all organization memberships for the current user
cURL
curl --request GET \ --url https://api.wacht.dev/me/organization-memberships \ --cookie session_id=
{ "status": 200, "message": "", "data": [ { "id": "<string>", "user_id": "<string>", "organization": { "id": "<string>", "name": "<string>", "image_url": "<string>", "description": "<string>", "member_count": 123, "whitelisted_ips": [ "<string>" ], "auto_assigned_workspace_id": "<string>", "enforce_mfa": true, "enable_ip_restriction": true, "public_metadata": {}, "segments": [ {} ], "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }, "roles": [ { "name": "<string>", "permissions": [ "<string>" ] } ], "public_metadata": {}, "eligibility_restriction": {}, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ], "session": { "id": "123456789012345678", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }, "errors": [ { "code": "INVALID_CREDENTIALS", "message": "Invalid credentials. Please try again." } ] }
Memberships retrieved
HTTP status code
200
Response message (empty on success)
""
Show child attributes
Minimal session info included in every response
Error details (null on success)
Was this page helpful?